[OpenWrt-Devel] [PATCH 1/4] lantiq: Fix initscript issue

Daniel Gimpelevich daniel at gimpelevich.san-francisco.ca.us
Sun Jan 18 00:46:46 EST 2015


Currently this initscript fails if the macaddr has any leading zeroes.
This patch corrects the problem.

Signed-off-by: Daniel Gimpelevich <daniel at gimpelevich.san-francisco.ca.us>
--- a/target/linux/lantiq/base-files/etc/init.d/esi	(revision 44023)
+++ b/target/linux/lantiq/base-files/etc/init.d/esi	(working copy)
@@ -3,5 +3,5 @@
 
 START=19
 start() {
-	esi $(printf '%X' $((1+0x$(tr -d : </sys/class/net/eth0/address)))) 2>/dev/null || :
+	esi $(printf '%012X' $((1+0x$(tr -d : </sys/class/net/eth0/address)))) 2>/dev/console || :
 }
_______________________________________________
openwrt-devel mailing list
openwrt-devel at lists.openwrt.org
https://lists.openwrt.org/cgi-bin/mailman/listinfo/openwrt-devel



More information about the openwrt-devel mailing list